/* main css */

p.prose {
  display: block;
  text-align: justify;
  text-indent: 1.5em;
}

p.prose::first-para {
  text-indent: 0;
}

p.first-para::first-line {
  font-family: serif;
  font-family: bold;
  font-style: normal;
  font-variant: small-caps;
  font-size: 120%;
}

p.first-para::first-letter {
  font-size: 180%;
}

p.prose::no-indent {
  text-indent: 0;
}

/* ✦ ✦ ✦ */
.divide {
  text-indent: 0;
  text-align: center;
  font-size: 0.8em;
  margin-top: 1em;
  margin-bottom: 1em;
}

* {
  box-sizing: border-box;
}

body {
  font-family: "Spectral";
  color: lightgrey;
  margin: 0;
  background-color: black;
}

h2, h3, h4, h5 {
  font-family: "Josefin Sans";
  font-variant: small-caps;
  color: plum;  /* rgb(221, 160, 221) */
}

.header {
  padding: 60px;
  text-align: center;
  background: #111;
  color: lightgreen;
  font-family: "IM Fell English";
  font-variant: small-caps;
  max-width: 1500px;
  margin: auto;
}

.row {
  display: flex;
  flex-wrap: wrap;
  max-width: 1500px;
  margin: auto;
  margin-top: 10px;
  hyphens: auto;
}

.side-left {
  order: 1
}

.side-right {
  order: 3
}

.side-left,
.side-right {
  position: -webkit-sticky;
  position: sticky;
  top: 60px;
  height: 100vh;
  z-index: 0;
  flex: 15%;
  background-color: #222;
  padding: 20px;
  margin-bottom: 10px;
  border: 1px solid #444;
  border-radius: 2px;
}

.side-left .p,
.side-right .p {
  word-break: break-all;
  overflow-wrap: break-word;
  word-wrap: break-word;
  hyphens: inherit;
}

.main {
  flex: 60%;
  order: 2;
  padding: 20px 0 0 0;
  margin: 0 20px 10px 20px;
  border: 1px solid rgba(0, 0, 0, 0.0);
  border-radius: 2px;
}

.title {
  background-color: #373737;
  padding: 5px 20px;
  margin: -20px 0 16px 0;
  border: 1px solid #555;
  border-radius: 2px 12px 2px 12px;
}

.container {
  margin: auto;
}

.main2 {
  display: flex;
  background-color: #373737;
  padding: 20px 20px 20px 20px;
  border: 1px solid #555;
  border-radius: 2px;
}

.hwqs {
  background-color: #373737;
  padding: 5px 20px;
  margin: 20px 0 20px 0;
  border: 1px solid #555;
  border-radius: 2px;
}

.hwqs strong {
  color:lightgreen;
}

.side-left a,
.side-right a {
  color: lightgreen;
  font-weight: bold;
  text-transform: uppercase;
  font-family: "Josefin Sans";
  font-size: 0.9em;
}

/* flexbox */
.testi {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  justify-content: space-between;
  margin: auto 8px;
}

.testi div {
  vertical-align: top;
  text-align: left;
  width: 47%;
}

.testi p strong {
  color: plum;
}

/* table */
.testi2 {
  display: table;
  margin-top: -8px;
}

.testi2 div {
  display: table-row-group;
}

.testi2 p {
  display: table-cell;
  padding: 16px;
  border-bottom: 1px solid #555;
}

/* table hwqs */
#hwqs {
  width: 100%;
  border-collapse: collapse;
  margin-bottom: 20px;
}

#hwqs td, #hwqs th {
  border: 1px solid #888;
  padding: 8px;
  padding-top: 12px;
}

#hwqs th {
  color: plum;
  background-color: #222;
  font-family: "Josefin Sans";
  font-variant: small-caps;
}

#hwqs td {
  font-weight: 550;
}

#hwqs tr:nth-child(odd) {
  background-color: #303030;
}

#hwqs tr:nth-child(even) {
  background-color: #424242;
}

.ttext {
  text-align: justify;
  word-wrap: break-word;
  hyphens: auto;
}

.testi2 p strong {
  color: lightgreen;
}

.tcredit {
  color: white;
  font-size: 100%;
  font-weight: 700;
  text-align: left;
  vertical-align: middle;
  width: 30%;
  margin-right: 16px;
}

.tcredit::first-line {
  font-size: 130%;
  font-variant: small-caps;
  text-shadow: 2px 2px #000;
}

.tcredit span {
  color: lightgrey;
  font-variant: small-caps;
  font-weight: 400;
  font-size: 90%;
}

.deftl {
  color: white;
  font-size: 130%;
  font-weight: 700;
  font-variant: small-caps;
  text-align: left;
  vertical-align: middle;
  width: 30%;
  margin-right: 16px;
}

.deftl span {
  color: lightgrey;
  font-weight: 400;
  font-size: 80%;
  font-style: italic;
  font-variant: normal;
}

.deftext {
  text-align: justify;
  word-wrap: break-word;
  hyphens: auto;
}

.field {
  color: plum;
  font-family: "Josefin Sans";
  font-weight: bold;
  font-variant: small-caps;
  vertical-align: middle;
}

.subtitle {
  color: lightgrey;
  font-weight: 300;
  font-variant: normal;
  font-style: italic;
  font-size: 90%;
}

textarea {
  width: 100%;
  height: 135px;
  padding: 12px;
  margin-top: 6px;
  margin-bottom: 16px;
  background-color: rgb(190, 190, 190);
  border: 2px solid #555;
  border-radius: 2px;
  font-family: monospace;
  box-sizing: border-box;
}

a {
  color: plum;
}

a:hover {
  color: lightgreen;
}

.footer {
  background: #111;
  max-width: 1500px;
  margin: auto;
  border: 1px solid #333;
  border-radius: 2px;
  text-align: center;
  font-size: 0.8em;
  font-variant: small-caps;
}

/* navigation */

.topnav {
  z-index: 1;
  position: -webkit-sticky;
  position: sticky;
  min-height: 50px;
  max-width: 1500px;
  margin: auto;
  background-color: #303030;
  border: 1px solid #555;
  border-radius: 0 0 2px 2px;
  top: 0;
}

.topnav a {
  float: left;
  display: block;
  color: white;
  padding: 14px 18px;
  border-right: 1px dashed black;
  border-bottom: 1px solid #303030;
  border-top: 1px solid #303030;
  text-decoration: none;
  text-align: center;
  font-family: "Josefin Sans";
  font-weight: bold;
  font-variant: small-caps;
}

.active {
  background-color: rgba(144, 238, 144, 0.6);
  /* lightgreen */
  color: white;
}

.topnav .icon {
  display: none;
}

.dropdown {
  float: left;
  overflow: hidden;
}

.dropdown .dropbtn {
  border: none;
  outline: none;
  color: white;
  background-color: inherit;
  padding: 14px 18px;
  border-right: 1px dashed black;
  border-bottom: 1px solid #303030;
  border-top: 1px solid #303030;
  text-decoration: none;
  text-align: center;
  font-family: "Josefin Sans";
  font-weight: bold;
  font-variant: small-caps;
  font-size: 100%;
  margin: 0;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #555;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
}

.dropdown-content a {
  float: none;
  color: white;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}

.topnav a:hover,
.dropdown:hover .dropbtn {
  background-color: rgba(144, 238, 144, 0.8);
  /* lightgreen */
  color: black;
  border-right: 1px solid white;
  border-bottom: 1px solid white;
}

.dropdown-content a:hover {
  background-color: rgba(221, 160, 221, 0.7);
  /* orchid rgba(218, 112, 214, 0.4) */
  border-right: 1px solid rgba(0, 0, 0, 0.2);
  border-bottom: 1px solid rgba(0, 0, 0, 0.2);
}

.dropdown:hover .dropdown-content {
  display: block;
}

.dropactive {
  background-color: rgb(90, 147, 88);
  /* lightgreen 0.6 opacity */
  color: white;
}

.btn {
  outline: none;
  padding: 12px 16px;
  background-color: #303030;
  border: 1px solid #555;
  border-radius: 2px;
  text-align: center;
  font-family: "Josefin Sans";
  font-weight: bold;
  font-variant: small-caps;
  color: white;
  cursor: pointer;
}

.btn:hover {
  background-color: rgb(108,192,106);
  color: black;
  border-right: 1px solid white;
  border-bottom: 1px solid white;
  border-top: 1px solid rgb(108,192,106);
  border-left: 1px solid rgb(108,192,106);
}

.btn.active {
  background-color: rgb(90,147,88); /* lightgreen */
  color: white;
  border-color: rgba(255,255,255,0.5);
}

@media screen and (max-width: 700px) {

  .topnav a:not(:first-child),
  .dropdown .dropbtn {
    display: none;
  }

  .topnav a.icon {
    float: right;
    display: block;
  }
}
@media screen and (max-width: 700px) {
  .row {
    flex-direction: column;
  }

  .side-left,
  .side-right {
    position: static;
    top: 0px;
  }

  .topnav.responsive {
    position: relative;
  }

  .topnav.responsive .icon {
    position: relative;
    right: 0;
    top: 0;
  }

  .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
  }

  .topnav.responsive .dropdown {
    float: none;
    display: block;
  }

  .topnav.responsive .dropdown-content {
    position: relative;
  }

  .topnav.responsive .dropdown .dropbtn {
    display: block;
    width: 100%;
    text-align: left;
  }
}
